pcl::poisson::PoissonBadInitException Class Reference

An exception that is thrown when initialization fails. More...

`#include <pcl/surface/3rdparty/poisson4/poisson_exceptions.h>`

Inheritance diagram for pcl::poisson::PoissonBadInitException:

## Public Member Functions

| PoissonBadInitException (const std::string &error_description, const char *file_name=nullptr, const char *function_name=nullptr, unsigned line_number=0)
Public Member Functions inherited from pcl::poisson::PoissonException
| PoissonException (const std::string &error_description, const char *file_name=nullptr, const char *function_name=nullptr, unsigned line_number=0)

## Additional Inherited Members

Static Protected Member Functions inherited from pcl::poisson::PoissonException
static std::string | createDetailedMessage (const std::string &error_description, const char *file_name, const char *function_name, unsigned line_number)
Protected Attributes inherited from pcl::poisson::PoissonException
const char * | file_name_
const char * | function_name_
unsigned | line_number_

## Detailed Description

An exception that is thrown when initialization fails.

Definition at line 141 of file poisson_exceptions.h.

## Constructor & Destructor Documentation

## PoissonBadInitException()

pcl::poisson::PoissonBadInitException::PoissonBadInitException | ( | const std::string & | error_description,
|  | const char * | file_name = `nullptr`,
|  | const char * | function_name = `nullptr`,
|  | unsigned | line_number = `0`
| ) |  |

inline

Definition at line 144 of file poisson_exceptions.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/poisson4/poisson_exceptions.h